Group Resource
Description
A group is an organizational entity encompassing children zones and groups.
GET /groups/:ID
Retrieve group details for the group with that ID (numeric value).
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL | Numeric ID of the group you are using |
GET Response Values
| Name | Type | Description |
|---|---|---|
| name | JSON String | The name of the group. |
| description | JSON String | The description of the group. |
| mode | JSON String | This value is deprecated and should be ignored. Allowed values are: NONE, BGP, or CPEREWRITE. NONE is the most common value. |
| customer_resource | JSON String | This parameter is deprecated and should not be used. |
| zones_resource | JSON String | The zones resource for this group. |
| reports_resource | JSON String | The reports resource for this group. |
| scheduled_reports_resource | JSON String | The scheduled reports resource for this group. |
| customer_configurations_resource | JSON String | This value is deprecated and should be ignored. |
| customer_devices_resource | JSON String | This value is deprecated and should be ignored. |
| customer_traffic_resource | JSON String | This value is deprecated and should be ignored. |
| customer_logs_resource | JSON String | This value is deprecated and should be ignored. |
| group_resource | JSON String | The group resource. This will match the resource used for the query. |
| group_configurations_resource | JSON String | The group configurations resource for this group. |
| group_traffic_resource | JSON String | The group traffic resource for this group. |
| group_logs_resource | JSON String | The group logs resource for this group. |
| members_resource | JSON String | The members resource for this group. |
| roles_resource | JSON String | The group roles resource for this group. |
| users_resource | JSON String | The group users resource for this group. |
| templates_resource | JSON String | The templates resource for this group. |
| subnets_resource | JSON String | The subnets resource for this group. |
| mapped_devices_resource | JSON String | The mapped devices resource for this group. |
| pre_mapped_devices_resource | JSON String | The pre-mapped devices resource for this group. |
| sub_groups_resource | JSON String | The sub groups resource for this group. |
| parent_resource | JSON String | The group resource of the direct owner of this group. If a top level group, this will always return the Default Group as its parent, with a value of "/groups/0". |
Example GET Request
GET /groups/279
Example GET Response
{
"name": "Test Group",
"description": "Nick's group for documentation",
"mode": "NONE",
"customer_resource": "/customers/279",
"zones_resource": "/groups/279/zones",
"reports_resource": "/groups/279/report_statuses",
"scheduled_reports_resource": "/groups/279/scheduled_reports",
"customer_configurations_resource": "/groups/279/configurations",
"customer_devices_resource": "/groups/279/mapped_devices",
"customer_traffic_resource": "/groups/279/traffic",
"customer_logs_resource": "/groups/279/logs",
"group_resource": "/groups/279",
"group_configurations_resource": "/groups/279/configurations",
"group_traffic_resource": "/groups/279/traffic",
"group_logs_resource": "/groups/279/logs",
"members_resource": "/groups/279/members",
"roles_resource": "/groups/279/roles",
"users_resource": "/groups/279/users",
"templates_resource": "/groups/279/templates",
"subnets_resource": "/groups/279/subnets",
"mapped_devices_resource": "/groups/279/mapped_devices",
"pre_mapped_devices_resource": "/groups/279/pre_mapped_devices",
"sub_groups_resource": "/groups/279/groups",
"parent_resource": "/groups/0"
}
PUT /groups/:ID
Updates the group with new values. The new values are limited to descriptors of the groups.
PUT Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL | Numeric ID of the group you are using | |
| name | No | JSON String | The new name for the group | |
| description | No | JSON String | The new description for the group | |
| mode | No | JSON String | This parameter is deprecated and should not be used. Allowed values are: NONE, BGP, or CPEREWRITE. NONE is the most common value. |
Example PUT Request
PUT /groups/279
JSON Body:
{
"data":{
"name":"Test Group",
"description":"New descriptive text",
"mode":"NONE"
}
}
Example PUT Response
HTTP/1.1 200 OK
DELETE /groups/:ID
Delete the group.
This will remove the group, its zones, and any contained children groups and zones. Be sure you want to do this.
By design, this action cannot be performed on the Default Group (ID of 0).
Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ID | Yes | URL | Numeric ID of the group you are using |
Example DELETE Request
DELETE /groups/279
Example DELETE Response
HTTP/1.1 200 OK